package com.ruoyi.bst.bonusRefund.service;

import java.util.List;

import com.ruoyi.bst.bonusRefund.domain.BonusRefund;
import com.ruoyi.bst.bonusRefund.domain.BonusRefundQuery;
import com.ruoyi.bst.bonusRefund.domain.BonusRefundVO;

/**
 * 分成退款记录Service接口
 *
 * @author ruoyi
 * @date 2025-01-25
 */
public interface BonusRefundService
{
    /**
     * 查询分成退款记录
     *
     * @param id 分成退款记录主键
     * @return 分成退款记录
     */
    public BonusRefundVO selectBonusRefundById(Long id);

    /**
     * 查询分成退款记录列表
     *
     * @param bonusRefund 分成退款记录
     * @return 分成退款记录集合
     */
    public List<BonusRefundVO> selectBonusRefundList(BonusRefundQuery bonusRefund);

    /**
     * 新增分成退款记录
     *
     * @param bonusRefund 分成退款记录
     * @return 结果
     */
    public int insertBonusRefund(BonusRefund bonusRefund);

    /**
     * 修改分成退款记录
     *
     * @param bonusRefund 分成退款记录
     * @return 结果
     */
    public int updateBonusRefund(BonusRefund bonusRefund);

    /**
     * 批量删除分成退款记录
     *
     * @param ids 需要删除的分成退款记录主键集合
     * @return 结果
     */
    public int deleteBonusRefundByIds(Long[] ids);

    /**
     * 删除分成退款记录信息
     *
     * @param id 分成退款记录主键
     * @return 结果
     */
    public int deleteBonusRefundById(Long id);

    /**
     * 批量插入分成退款记录
     *
     * @param list 分成退款记录
     * @return 结果
     */
    int batchInsert(List<BonusRefund> list);
}
